package com.gic.haoban.manage.api.dto.qdto.chat;

import com.alibaba.fastjson.annotation.JSONField;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

public class GroupChatUserSearchQDTO implements Serializable {

    private static final long serialVersionUID = 7983127960892502325L;

    private Date startDate;
    private Date endDate;
    private String wxEnterpriseId;
    private Long groupChatId ;
    private Integer userType ;
    private String enterpriseId;
    private String searchParams;

    private List<String> staffIdList;

    // 群状态 1有效2已退群
    private Integer status = 1;
    private String wxChatId ;

    /**
     * 下载导出参数：数据脱敏 1:脱敏 2:完整
     */
    private Integer dataType = 1;

    public List<String> getStaffIdList() {
        return staffIdList;
    }

    public void setStaffIdList(List<String> staffIdList) {
        this.staffIdList = staffIdList;
    }

    public Integer getDataType() {
        return dataType;
    }

    public void setDataType(Integer dataType) {
        this.dataType = dataType;
    }

    public String getWxChatId() {
        return wxChatId;
    }
    public void setWxChatId(String wxChatId) {
        this.wxChatId = wxChatId;
    }
    public Date getStartDate() {
        return startDate;
    }
    public Date getEndDate() {
        return endDate;
    }
    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }
    public Long getGroupChatId() {
        return groupChatId;
    }
    public Integer getUserType() {
        return userType;
    }
    public String getEnterpriseId() {
        return enterpriseId;
    }
    public String getSearchParams() {
        return searchParams;
    }
    public Integer getStatus() {
        return status;
    }
    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }
    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }
    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }
    public void setGroupChatId(Long groupChatId) {
        this.groupChatId = groupChatId;
    }
    public void setUserType(Integer userType) {
        this.userType = userType;
    }
    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }
    public void setSearchParams(String searchParams) {
        this.searchParams = searchParams;
    }
    public void setStatus(Integer status) {
        this.status = status;
    }
}
